# Class DatatypeConstants.Field

java.lang.Object
javax.xml.datatype.DatatypeConstants.Field

Enclosing class:
  `DatatypeConstants`

public static final class DatatypeConstants.Field extends Object
Type-safe enum class that represents six fields of the `Duration` class.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`int`
`getId()`
Get id of this Field.
`String`
`toString()`
Returns a field name in English.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Method Details

### toString

public String toString()
Returns a field name in English. This method is intended to be used for debugging/diagnosis and not for display to end-users.

Overrides:
  `toString` in class `Object`
Returns:
  a non-null valid String constant.

### getId

public int getId()

Get id of this Field.

Returns:
  Id of field.